dbase(tb,[asp,db,tab,col,sub,fun,var,axm,kon]).

%contains 1 tuple
table(asp,[aname,schema1,schema2]).

%db (a.k.a. dbase) table, one row per db
table(db,[did,name]).

%tab -- table relation, one row per table
table(tab,[tid,did,name]).

%col -- column table, one row per column
table(col,[cid,tid,name,quoted,option,kind]).

%sub -- subtable table, one row per subtable declaration
table(sub,[sid,tid,stid]).

% declares each function, one per row
table(fun,[fid,name,'domains','codomain',ftype,added:bool]).

% types every free variable used in an axiom or constraint
table(var,[vid,tname]).

% declares each axiom, one per row
table(axm,[aid,name,'left','right']).

%declares constraints, one row per constraint
table(kon,[kid,name,'def']).

